Subject: Re: [PATCH] reftable: fix tests being broken by NFS' delete-after-close semantics

From: Toon Claes <[email-masked]>
Date: Fri, 22 Mar 2024 16:15:12 +0100

Patrick Steinhardt <[email-masked]> writes:

> Fix this bug by skipping over any files that start with a leading dot
> when counting files. While we could explicitly check for a prefix of
> ".nfs", other network file systems like SMB for example do the same
> trickery but with a ".smb" prefix. In any case though, this loosening of
> the assertion should be fine given that the reftable library would never
> write files with leading dots by itself.

I'm fully supportive of this, as this will also fix any issues possibly
caused by .DS_Store files created by Finder on macOS, although it's very
unlikely they will be created in these tests.

--
Toon